Page MenuHomePhabricator

MCR Scheme change - Make rev_text_id DEFAULT 0
Closed, ResolvedPublic

Description

As discussed in https://gerrit.wikimedia.org/r/#/c/406595/14/includes/Storage/RevisionStore.php@473 rev_text_id currently has no default, so inserts will fail if no value is set.
After the MCR migration we don't want to have to worry about inserting anything into this field, but for now we will have to keep inserting 0.
A schema change adding a default will allow us to stop explicitly inserting this.

Details

Related Gerrit Patches:

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Addshore created this task.Mar 2 2018, 3:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2018, 3:29 PM
Addshore claimed this task.Mar 6 2018, 5:28 PM
Addshore moved this task from Inbox to Next on the Multi-Content-Revisions board.
Restricted Application added a project: User-Addshore. · View Herald TranscriptMar 6 2018, 5:28 PM
Addshore triaged this task as Normal priority.Mar 7 2018, 2:03 PM

Change 418946 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] WIP DNM: Add default for revision.rev_text_id of 0

https://gerrit.wikimedia.org/r/418946

Addshore moved this task from Next to Active 🚁 on the User-Addshore board.Mar 14 2018, 3:23 PM

Change 418946 merged by jenkins-bot:
[mediawiki/core@master] Add default for revision.rev_text_id where missing

https://gerrit.wikimedia.org/r/418946

Patch is merged and the ticket for the schema change on production has been created.

Addshore closed this task as Resolved.Jun 6 2018, 8:50 AM

deployed everywhere now, so we can start assuming that it is present everywhere!